Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring
Class CreateChangeOperation

    java.lang.Object
      org.eclipse.ltk.core.refactoring.CreateChangeOperation

All Implemented Interfaces:
  IWorkspaceRunnable

public class CreateChangeOperation
extends Object
implements IWorkspaceRunnable

Operation that, when performed, creates a `Change` object for a given refactoring. If created with a refactoring object directly, no precondition checking is performed. If created with a `CheckConditionsOperation` the requested precondition checking is performed before creating the change.

If the precondition checking returns a fatal error or the status's severity exceeds a certain threshold then no change will be created.

If a change has been created the operation calls `Change.initializeValidationData(IProgressMonitor)` to initialize the change's validation data.

The operation should be executed via the run method offered by `IWorkspace` to achieve proper delta batching.

Note: this class is not intended to be extended by clients.

Since:
  3.0

Constructor Summary
`CreateChangeOperation(CheckConditionsOperation operation, int checkFailedSeverity)` Creates a new operation with the given `CheckConditionsOperation`.
`CreateChangeOperation(Refactoring refactoring)` Creates a new operation with the given refactoring.

Method Summary
`Change` | `getChange()` Returns the outcome of the operation or `null` if an exception occurred when performing the operation or the operation hasn't been performed yet.
`int` | `getConditionCheckingFailedSeverity()` Returns the condition checking failed severity used by this operation.
`RefactoringStatus` | `getConditionCheckingStatus()` Returns the status of the condition checking.
`int` | `getConditionCheckingStyle()` Returns the condition checking style as set to the `CheckConditionsOperation`.
`void` | `run(IProgressMonitor pm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateChangeOperation

    public CreateChangeOperation(Refactoring refactoring)

  Creates a new operation with the given refactoring. No condition checking is performed before creating the change object. It is assumed that the condition checking has already been performed outside of this operation. The operation might fail if the precondition checking has not been performed yet.

Parameters:
  `refactoring` - the refactoring for which the change is to be created

### CreateChangeOperation

    public CreateChangeOperation(CheckConditionsOperation operation,
                                 int checkFailedSeverity)

  Creates a new operation with the given `CheckConditionsOperation`. When performed the operation first checks the conditions as specified by the `CheckConditionsOperation`. Depending on the result of the condition checking a change object is created or not.

Parameters:
  `operation` - the condition checking operation
  `checkFailedSeverity` - the severity from which on the condition checking is interpreted as failed. The passed value must be greater than `RefactoringStatus.OK` and less than or equal `RefactoringStatus.FATAL`. The standard value from which on a condition check should is to be interpreted as failed can be accessed via `RefactoringCore.getConditionCheckingFailedSeverity()`.

Method Detail

### getConditionCheckingFailedSeverity

    public int getConditionCheckingFailedSeverity()

  Returns the condition checking failed severity used by this operation.

  Returns:
    the condition checking failed severity
  See Also:
    `RefactoringStatus`

### run

    public void run(IProgressMonitor pm)
             throws CoreException

  Specified by:
    `run` in interface `IWorkspaceRunnable`
  Throws:
    `CoreException`

### getChange

    public Change getChange()

  Returns the outcome of the operation or `null` if an exception occurred when performing the operation or the operation hasn't been performed yet.

  Returns:
    the created change or `null`

### getConditionCheckingStatus

    public RefactoringStatus getConditionCheckingStatus()

  Returns the status of the condition checking. Returns `null` if no condition checking has been requested.

  Returns:
    the status of the condition checking

### getConditionCheckingStyle

    public int getConditionCheckingStyle()

  Returns the condition checking style as set to the `CheckConditionsOperation`. If no condition checking operation is provided (e.g. the change is created directly by calling `Refactoring.createChange(IProgressMonitor)` then `CheckConditionsOperation.NONE` is returned.

  Returns:
    the condition checking style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.